### Property

# Gtk AboutDialog:license

#### Declaration

    property license: utf8 [ read, write ]

#### Description [src]

The license of the program, as free-form text.

This string is displayed in a text view in a secondary dialog, therefore it is fine to use a long multi-paragraph text. Note that the text is only wrapped in the text view if the “wrap-license” property is set to `TRUE`; otherwise the text itself must contain the intended linebreaks.

When setting this property to a non-`NULL` value, the `GtkAboutDialog:license-type` property is set to `GTK_LICENSE_CUSTOM` as a side effect.

The text may contain links in this format `<http://www.some.place/>` and email references in the form `<mail-to@some.body>`, and these will be converted into clickable links.

Type: | `gchar*`

Default value | NULL
Getter method | `gtk_about_dialog_get_license()`
Setter method | `gtk_about_dialog_set_license()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no